* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    background: #000;
    color: #fff;
}

/* HEADER */
.header {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 40px;
}

/* BANNER CON IMAGEN FIJA */
.banner {
    background:
        linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)),
        url("img/banner.jpg") center / cover no-repeat fixed;
}

/* LOGO */
.logo {
    width: 300px;
    margin-bottom: 20px;
    filter: drop-shadow(0 6px 18px rgba(0,0,0,0.8));
}

/* TEXTO HERO */
.header h1 {
    font-size: 3rem;
    letter-spacing: 4px;
    text-shadow: 0 4px 20px rgba(0,0,0,0.9);
}

.header p {
    margin-top: 15px;
    color: #ddd;
    text-shadow: 0 4px 20px rgba(0,0,0,0.9);
}

/* BOTONES */
.buttons {
    margin-top: 35px;
}

.btn {
    display: grid;
    padding: 12px 32px;
    border: 2px solid #fff;
    color: #fff;
    text-decoration: none;
    margin: 10px;
    border-radius: 30px;
    transition: all 0.3s ease;
}

.btn:hover {
    background: #fff;
    color: #000;
}

.btn-red {
    border-color: #ff0000;
    color: #ff0000;
}

.btn-red:hover {
    background: #ff0000;
    color: #fff;
}

/* PORTAFOLIO */
.portfolio {
    padding: 40px 40px;
}

.portfolio h2 {
    text-align: center;
    font-size: 2.3rem;
    margin-bottom: 50px;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.gallery img {
    width: 100%;
    border-radius: 14px;
    transition: transform 0.4s ease;
    cursor: pointer;
}

.gallery img:hover {
    transform: scale(1.05);
}

/* CONTACTO */
.contact {
    padding: 10px 40px;
    text-align: center;
}

.social {
    margin-top: 30px;
}

.icon {
    text-decoration: none;
    font-size: 2rem;
    margin: 0 18px;
    transition: transform 0.3s ease;
}

.icon img {
    width: 40px;
    height: 40px;
    transition: transform 0.3s ease, filter 0.3s ease;
}

/* Hover PRO */
.icon:hover img {
    transform: scale(1.3);
    filter: drop-shadow(0 0 8px rgba(255,0,0,0.6));
}

.icon:hover {
    transform: scale(1.3);
}

.whatsapp { color: #25D366; }
.instagram { color: #E1306C; }
.facebook { color: #1877F2; }

/* FOOTER */
footer {
    padding: 20px;
    text-align: center;
    font-size: 0.9rem;
    color: #aaa;
}

/* RESPONSIVE */
@media (max-width: 600px) {
    .header h1 {
        font-size: 2.2rem;
    }

    .logo {
        width: 150px;
    }
}

/* FILTROS */
.filters {
    text-align: center;
    margin-bottom: 30px;
}

.filter-btn {
    background: transparent;
    border: 2px solid #fff;
    color: #fff;
    padding: 8px 22px;
    margin: 6px;
    border-radius: 20px;
    cursor: pointer;
    transition: all .3s ease;
}

.filter-btn:hover,
.filter-btn.active {
    background: #ff0000;
    border-color: #ff0000;
}